AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.IO
ServerSocket Class
ServerSocket Constructor
ServerSocket Methods

| ServerSocket Class

ServerSocket using standard socket classes.
Inheritance Hierarchy
System
Object
AsterNET.IO
ServerSocket

Namespace: AsterNET.IO
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ServerSocket

    Public Class ServerSocket

    public ref class ServerSocket

    type ServerSocket =  class end

The ServerSocket type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ServerSocket | Initializes a new instance of the ServerSocket class

Top
Methods

| Name | Description
--- | --- | ---
| Accept |
| Close |
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

AsterNET.IO Namespace